> For the complete documentation index, see [llms.txt](https://docs.tokensfarm.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tokensfarm.com/for-developers/integrate-tokensfarm/deposit-into-a-farm.md).

# Deposit into a farm

### Deposit

To deposit into a TokensFarm contract, you must call `deposit` on the `TokensFarm` smart contract.

Notice that it is possible to deposit multiple times.

{% hint style="info" %}
First, make sure to `approve` spend on the ERC20 token that you wish to farm
{% endhint %}

```solidity
function deposit(uint256 _amount)
```

| Parameters | Type      | Description                                             |
| ---------- | --------- | ------------------------------------------------------- |
| Amount     | `uint256` | The amount that the user wishes to deposit to the farm. |

#### Example script for deposit in JS

```javascript
const hre = require("hardhat");
async function main(){    
        const tokensFarmContract = await hre.ethers.getContractAt(
        tokensFarmArtifact.abi,
        "the contracts address here"
        );
        const erc20TokenContract = await hre.ethers.getContractAt(
        erc2-TokenArtifact.abi,
        "the contracts address here"
        );
        let amountToDeposit = 5000;
        //First approve to tokensFarm contract to spend the tokens
        await erc20TokenContract.approve(amountToDeposit);
        //Call deposit function    
        await tokensFarmFactory.deposit(amountToDeposit);
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tokensfarm.com/for-developers/integrate-tokensfarm/deposit-into-a-farm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
